package com.xhly.manageapp.broadcastreceiver

import android.bluetooth.BluetoothAdapter
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.util.Log
import android.widget.Toast
import com.xhly.corelib.Const
import com.xhly.corelib.eventbus.UIEvent
import com.xhly.corelib.utils.LogShow

class BLEStateReceiver : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        // 检测蓝牙状态的逻辑
        checkBLEState(context, intent)
    }

    /**
     * 检测蓝牙状态
     *
     * @param context
     * @param intent
     */
    @Synchronized
    private fun checkBLEState(context: Context, intent: Intent) {
        val BLEState = intent.getIntExtra(BluetoothAdapter.EXTRA_STATE, 0)
        LogShow("执行监听--------蓝牙监听$BLEState")
        when (BLEState) {
            BluetoothAdapter.STATE_ON ->                 // 蓝牙已经打开
            {
              /*  Toast.makeText(context, "蓝牙打开", Toast.LENGTH_LONG).show()*/
                UIEvent(Const.BLUETOOTHOPEN).post()
            }

            BluetoothAdapter.STATE_TURNING_OFF ->                 // 蓝牙正在关闭
            {
               /* Toast.makeText(context, "蓝牙关闭", Toast.LENGTH_LONG).show()*/
            }
        }
    }
}